#include "gpdef.h"
#include "gpstdlib.h"
#include "gpgraphic.h"
#include "gpfont.h"
#include "gpstdio.h"

#include "bfont.h"
#include "file_dialog.h"
#include "print_text.h"
#include "gpmain.h"

//#include "afm.h"
//#include "res.h"

GPDRAWSURFACE gpDraw[2];
int nflip;

void GpMain(void *arg)
{
	int i;
	
	GP_PALETTEENTRY tmp_entry;

	//initialize surfaces (get all info from FW)
	for ( i = 0 ; i < 2 ; i++)
	{
		GpLcdSurfaceGet(&gpDraw[i], i);
	}

	GpSurfaceSet(&gpDraw[0]);	//gpDraw[0]  primary surface 0 setting
	nflip = 1;	//gpDraw[1] back surface

	//  .. ..  
	for (i=0; i<=3; i++)
	{
		tmp_entry = ((i*8 & 0x1f)<<11) | ((i*8 & 0x1f)<<6) | ((i*8 & 0x1f)<<1) | 0;
		GpPaletteEntryChange(i, 1, &tmp_entry, 0);
	}

	//  
	//  SMC ?
	if ( GpSMCDetected() != SM_OK )
	{
		DrawError("A very dumb ERROR: You've forgotten\nto load SmartMedia Card into GeePee32",0);
		while (1)
		;
	}

	GpFatInit();
	GpRelativePathSet("gp:\\");

//    afm_install(44100,2);

    /* initialize module */
//    afm_init((unsigned char*)&_binary_test_mod_start);

    /* start playing */
//    afm_start();


	LoadFonts();
	while (1)
	{
		LoadText();
		FormatText();
		ViewText();
		FreeText();
	}

//    afm_deinit();
}